petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESSetDivergenceTolerance

Sets the divergence tolerance used for the SNES divergence test.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESSetDivergenceTolerance(SNES snes,PetscReal divtol)

Logically Collective on SNES

### Input Parameters

| snes | - the SNES context
| divtol | - the divergence tolerance. Use -1 to deactivate the test.

### Options Database Keys

| -snes_divergence_tolerance <divtol> | - Sets divtol

### Notes

The default divergence tolerance is 1e4.

### Keywords

SNES, nonlinear, set, divergence, tolerance

### See Also

SNESSetTolerances(), SNESGetDivergenceTolerance

### Level

intermediate

### Location

src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages